/**********************************************************************************************
 *
 * This file declares the child predictor class for LRU.
 * Ref: Section 4.1 in the paper.
 *
 * Author: Rathijit Sen 
 *         University of Wisconsin-Madison
 *         rathijit@cs.wisc.edu
 *
 **********************************************************************************************/

#ifndef _LRU_H_
#define _LRU_H

#include "pred_mr.h"

class pred_lru_t: public pred_mr_t{
public:
    pred_lru_t();
    void reset();
    double compute_miss_ratio_specific(unsigned int num_diff_set_bits,unsigned int assoc);
}; 

#endif
